from sqlalchemy import create_engine, Column, MetaData, Table
from sqlalchemy import Integer, String, Text
from sqlalchemy.orm import mapper, sessionmaker

class Bookmarks(object):
    pass

dbPath = r'C:\Users\Mike\Documents\My Dropbox\Scripts\SqlAlchemy_scripts\places.sqlite'

engine = create_engine('sqlite:///%s' % dbPath, echo=True)

metadata = MetaData(engine)
# type INTEGER, fk INTEGER DEFAULT NULL, parent INTEGER, position INTEGER, title LONGVARCHAR, 
# keyword_id INTEGER, folder_type TEXT, dateAdded INTEGER, lastModified INTEGER
moz_bookmarks = Table('moz_bookmarks', metadata, 
                      Column('id', Integer, primary_key=True),
                      Column('type', Integer),
                      Column('fk', Integer),
                      Column('parent', Integer),
                      Column('position', Integer),
                      Column('title', String),
                      Column('keyword_id', Integer),
                      Column('folder_type', Text),
                      Column('dateAdded', Integer),
                      Column('lastModified', Integer)
                      )

mapper(Bookmarks, moz_bookmarks)

Session = sessionmaker(bind=engine)
session = Session()